---
lang: en
title: 'API docs: rest.restbindings.http'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.restbindings.http.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestBindings](./rest.restbindings.md) &gt; [Http](./rest.restbindings.http.md)

## RestBindings.Http namespace

Request-specific bindings

<b>Signature:</b>

```typescript
namespace Http 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [CONTEXT](./rest.restbindings.http.context.md) | Binding key for setting and injecting the http request context |
|  [REQUEST](./rest.restbindings.http.request.md) | Binding key for setting and injecting the http request |
|  [RESPONSE](./rest.restbindings.http.response.md) | Binding key for setting and injecting the http response |


